package conf

import (
	"fmt"

	"github.com/spf13/viper"
)

var v *viper.Viper

// 配置文件读取
func InitConfig(configFile string) {
	v = viper.New()

	// 设置配置文件路径
	v.SetConfigFile(configFile)

	// 读取配置文件
	err := v.ReadInConfig()
	if err != nil {
		fmt.Printf("读取配置文件失败: %v \n", err)
		return
	}
}

// Get 获取配置信息
//
// Get("framework.name")
func Get(key string) any {
	return v.Get(key)
}

// AllSettings 全部配置信息
func AllSettings() map[string]interface{} {
	return v.AllSettings()
}
